import type { Player } from './Player';
declare class AMP {
    private instances;
    /**
     *
     * @param {string} apikey Hosted AMP Key value
     * @param {string | HTMLElement } container DOM container where the player will be embedded
     * @param {Object} config AMP Player configuration block
     * @param {requestCallback} callback - Ready event player callback
     * @returns {Promise<Player>}
     */
    create(apikey: string, container: string | HTMLElement, config: object, callback?: (event?: any) => void): Promise<Player | void>;
    /**
     * @returns {Array<Player>} player instances
     */
    get players(): Player[];
    private initialize;
}
declare const _default: AMP;
export default _default;
